#
# spec file for package python3-django-mptt
#
# Copyright (c) 2017 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

Name:           python3-django-mptt
Version:        0.8.7
Release:        1.6
License:        BSD-2-Clause
Summary:        Utilities for implementing Modified Preorder Tree Traversal
Url:            http://github.com/django-mptt/django-mptt
Group:          Development/Languages/Python
Source:         https://files.pythonhosted.org/packages/source/d/django-mptt/django-mptt-%{version}.tar.gz
BuildRequires:  python3-devel
BuildRequires:  python3-django
BuildRequires:  python3-setuptools
Requires:       python3-django
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch

%description
Utilities for implementing Modified Preorder Tree Traversal (MPTT) with your Django
Model classes and working with trees of Model instances.

%prep
%setup -q -n django-mptt-%{version}

%build
python3 setup.py build

%install
python3 setup.py install --root=%{buildroot} --prefix=%{_prefix}

%files
%defattr(-, root, root)
%doc LICENSE NOTES README.rst docs/*.rst
%{python3_sitelib}/*

%changelog
* Mon Jan 16 2017 arun@gmx.de
- specfile:
  * update copyright year
- update to version 0.8.7:
  * Clean build environment properly. Include a release script
  * Finnish translation
  * Hungarian translation
  * Fixed typo in docs/models.rst
  * Add traditional Chinese translation
  * Fixed deprecated field.rel access
  * Fixed doctests for Django>1.10
  * Prevented DeprecationWarning with django.core.urlresolvers
  * Fix custom indented_title documentation
  * Add more links to README.rst
  * improvement in 'install' documentation
  * Updated French translation
  * Replaced obsolete ifequal by == in template code
  * update German locale
  * Update mptt_change_list.html
  * Add upgrade notes for 0.8.6 re #498, #469
* Sat Sep 10 2016 arun@gmx.de
- update to version 0.8.6:
  * Now supports django 1.10
* Thu Jul 21 2016 arun@gmx.de
- update to version 0.8.5:
  * Fix #428: Do not crash when saving after direct assignment of
    parent_id
  * Fix #480: Broken links in README
  * Keep the state of nodes when opening new tabs
  * Tutorial: Run makemigrations before migrate
  * Replaced syncdb by migrate
  * Multiple databases configuration support
  * Fix #465: DraggableMPTTAdmin: Ignore arrow keys for navigation
    when on form element
  * Remove two unused imports
  * Fix #475: Remove Django from install_requires
  * Fix #473: _meta has no attribute concrete_managers
  * fix more using get_db_prep_value
  * Fix TreeManager._move_child_within_tree breaks with UUIDField()
  * Provide for the new 'required' input attribute in Django 1.10
  * Exclude tests from installed packages
  * Stop using Model._deferred private attribute
  * Simplified runtests.sh
  * Add exclude djmaster & (py32,py33) exclude in TravisCI
  * Add django master to failurable tests in TravisCI
* Sat May 28 2016 arun@gmx.de
- update to version 0.8.4:
  * MANIFEST.in: Exclude pyc files
  * Abstract delegation to base manager to decorator.
  * Pull request: i18n/ru update
  * setup.py: It is tests_require, not test_requires, 07874ea got it
    wrong
* Sun May  8 2016 arun@gmx.de
- specfile:
  * updated source url to files.pythonhosted.org
* Sat Mar  5 2016 arun@gmx.de
- update to version 0.8.3:
  * Add static also to package_data
  * Modernize setup.py so that it actually takes MANIFEST.in into
    account
- changes from version 0.8.2:
  * Refs #434: Also include static files in MANIFEST.in
  * Don't rename _sources and _static, don't need to since we've
    disabled jekyll on gh-pages.
* Sat Feb 27 2016 arun@gmx.de
- update to version 0.8.1:
  (no changelog available)
* Sun Jan 17 2016 arun@gmx.de
- specfile:
  * update copyright year
- update to version 0.8.0:
  * Dropped support for old Django versions and Python 2.6
    Unsupported versions of django (1.4, 1.5, 1.6, 1.7) are no longer
    supported, and Python 2.6 is no longer supported.
    These versions of python/django no longer receive security
    patches. You should upgrade to Python 2.7 and Django 1.8+.
    Django 1.9 support has been added.
* Sat May 30 2015 arun@gmx.de
- update to version 0.7.4:
  * Fixed issue #379
  * Failing test case for #379.
  * Fix regression wrt behaviour of TreeManager.from_queryset (fixes
    [#378])
* Sat May  9 2015 arun@gmx.de
- update to version 0.7.3:
  * Fix `OperationalError: duplicate column name` in 0.7.x if user
    defines a `level_attr` etc pointing to an existing field.
  * Add fix for when _default_manager is a custom TreeManager and new
    tests for custom TreeManagers.
* Thu Apr 23 2015 arun@gmx.de
- update to version 0.7.2:
  * Fixes regression in 0.7.x relating to custom managers on proxy
    models
* Tue Apr  7 2015 arun@gmx.de
- update to version 0.7.1:
  * Fix incorrect UserWarning in `cache_tree_children` when ordering
    is actually correct
* Sat Apr  4 2015 arun@gmx.de
- specfile:
  * update copyright year
- update to version 0.7.0:
  * Dropped support for Django 1.5, Added support for 1.8
  * Deprecated: Calling recursetree/cache_tree_children with incorrectly-ordered querysets
  * Minor: TreeManager.get_queryset no longer provided on Django < 1.6
  * Removed FeinCMSModelAdmin
* Sat Dec 13 2014 arun@gmx.de
- update to version 0.6.1:
  * Fix docs references to .tree manager. closes #308
  * Fix outdated INSTALL. closes #309
  * MPTModelAdmin.get_query_set --> get_queryset
  * Fix modelform test error wiht django 1.7/master
  * remove dodgy commit_unless_managed from _move_node, how the heck did...
  * fix usage of python_2_unicode_compatible decorator
  * Fix compatibility with Python 2.6.1 (Snow Leopard)
  * run tests against django 1.6.x branch. stop running them against django master on python 2.6
  * fix get_query_set deprecationwarnings in django master
  * fix the license classifier in setup.py.
  * update copyright notice to add me
  * remove FeinCMSModelAdmin docs, it's deprecated.
* Wed Oct 23 2013 toddrme2178@gmail.com
- Add BuildRequires:  python3-django
* Sat Sep 28 2013 p.drouand@gmail.com
- Initial python3 support
* Sat Sep 28 2013 p.drouand@gmail.com
- Update to version 0.6.0
  + No changelog available
- Use download url as source url
- Replace python-distribute with python-setuptools BuildRequires
- Add documentation from tarball
* Mon Dec 10 2012 alexandre@exatati.com.br
- Update to 0.5.5:
  - Sorry, no changelog.
* Thu Aug 23 2012 alexandre@exatati.com.br
- Update to 0.5.3:
  - Sorry, no changelog.
* Tue Aug 21 2012 alexandre@exatati.com.br
- Update to 0.5.3:
  - Sorry, no changelog.
* Tue Jan  3 2012 alexandre@exatati.com.br
- Standard on spec file;
- License in SPDX format;
- Remove CFLAGS from build command;
- Change python-setuptools to python-distribute in Requires tag.
* Fri Nov 25 2011 nikolai@prokoschenko.de
- Update to 0.5.2.
* Thu Nov  4 2010 alexandre@exatati.com.br
- Update to 0.4.2.
* Thu Sep  2 2010 alexandre@exatati.com.br
- Update to 0.3;
- Spec file cleaned with spec-cleaner;
- Fixed URL and Author informations.
* Fri Nov 13 2009 alexandre@exatati.com.br
- Fixed spec file (Identation, License and BuildRoot);
- Building as noarch for openSUSE >= 11.2.
